package main

import (
	"fmt"
	"html/template"
	"os"
)

func main() {
	tplText := `{{- define "len" }} {{ len . }} {{ end }}
{{- define "raw" }} {{ . }} {{ end }}
{{ template "len" . }}
{{ template "raw" . }}`
	tpl := template.Must(template.New("tpl").Parse(tplText))
	tpl.Execute(os.Stdout, "abcde")
	fmt.Println()

	// 调用指定的方法，替代模板中的 template 指定的模板
	tpl.ExecuteTemplate(os.Stdout, "raw", "abcde")
	fmt.Println()

	// Output:
	// 5
	// abcde
	// abcde
}
